﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2002: (1 year) VER RS-232 /9500+3Hd
DATE:                  2010-08-10 11:36:48
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       198
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
# 
#  Models covered:
#        TDS 2002
# 
#  Source(s):
#        TDS1000 and TDS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1076-02
# 
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub UUT RS-232 Connection DTE DB9 (m)
#        Sub Tek TDS1000/2000 Specifications
#        Sub Tek TDS1000/2000 Setup RS-232
#        Sub Tek TDS1000/2000 Self-Test RS-232
#        Sub Tek TDS1000/2000 Sig Path Comp Cal RS-232
#        Sub Tek TDS1000/2000 Select Channel RS-232
#        Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
#        Sub Tek TDS1000/2000 (1 yr) DCV Meas RS-232 /9500
#        Sub Tek TDS1000/2000 (1 yr) Bandwidth RS-232 /9500
#        Sub Tek TDS1000/2000 (1 yr) Trig Sens RS-232 /9500
#        Sub Tek TDS1000/2000 (1 yr) Sample Rate RS-232 /9500
#        Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+1Hd
#        Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+2Hd
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  10 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1Vpp           LS    S  L
  1.008  ENDIF

  1.009  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.010  ASK+           K

  1.011  IF           NOT(VERSIONCHECK("7.20Z"))
  1.012  END
  1.013  ENDIF

  1.014  CALL         Sub Display Copyright
  1.015  CALL         Sub High Voltage Safety Warning

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  CALL         Sub Select Failed Test Mode
  1.018  CALL         Sub Select Verification Method (No NTHROW)

  1.019  DISP         Ensure a minimum UUT warm-up time of at least
  1.019  DISP         10 minutes has been allowed to elapse, prior
  1.019  DISP         to beginning verification.

  1.020  HEAD         COMMUNICATION SETUP
  1.021  TARGET
  1.022  CALL         Sub Tek TDS1000/2000 Setup RS-232
  1.023  JMPL         END                          @Abort
  1.024  CALL         Sub UUT RS-232 Connection DTE DB9 (m)
  1.025  PORT         *RST

  1.026  HEAD         UUT IDENTIFICATION
  1.027  CALL         Sub IEEE-488.2 Identification Query RS-232
  1.028  MATH         @UUT_Model = "TDS 2002"
  1.029  MATH         @UUT_Manufacturer = "Tektronix"
  1.030  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.031  JMPL         END                          @Abort

  1.032  CALL         Sub Tek TDS1000/2000 Specifications

  1.033  MATH         @NumHeads = 3
  1.034  CALL         Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500
  1.035  JMPL         END                          @Abort

  1.036  CALL         Sub Tek TDS1000/2000 Self-Test RS-232
  1.037  JMPL         END                          @Abort
  1.038  CALL         Sub Tek TDS1000/2000 Sig Path Comp Cal RS-232
  1.039  JMPL         END                          @Abort

  1.040  MATH         @Chan = 1
  1.041  M9500                       CH1
  1.042  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS RS-232 /9500

  1.043  MATH         @Chan = 2
  1.044  M9500                       CH2
  1.045  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS RS-232 /9500

  1.046  MATH         @Chan = 1
  1.047  M9500                       CH1
  1.048  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH RS-232 /9500

  1.049  MATH         @Chan = 2
  1.050  M9500                       CH2
  1.051  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH RS-232 /9500

  1.052  MATH         @Chan = 1
  1.053  M9500                       CH1
  1.054  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS RS-232 /9500

  1.055  MATH         @Chan = 2
  1.056  M9500                       CH2
  1.057  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS RS-232 /9500

  1.058  IF           @UsingPowerSplitter
  1.059  MATH         @Chan = 1
  1.060  M9500                       CH1
  1.061  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+1Hd

  1.062  MATH         @Chan = 2
  1.063  M9500                       CH1
  1.064  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+1Hd

  1.065  ELSE
  1.066  MATH         @Chan = 1
  1.067  M9500                       CH13
  1.068  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+2Hd

  1.069  MATH         @Chan = 2
  1.070  M9500                       CH23
  1.071  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+2Hd
  1.072  ENDIF

  1.073  MATH         @Chan = 1
  1.074  M9500                       CH1
  1.075  CALL         Sub Tek TDS1000/2000 (1 yr) Sample Rate RS-232 /9500

  1.076  LABEL        END

  1.077  IF           @Abort
  1.078  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.079  ELSE
  1.080  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.081  ENDIF

  1.082  PORT         *RST
  1.083  END
